TechDraw Quadrants: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
No edit summary
Line 15: Line 15:
|Name=TechDraw Quadrants
|Name=TechDraw Quadrants
|MenuLocation=TechDraw → Add Vertices → Add Quadrant Vertices
|MenuLocation=TechDraw → Add Vertices → Add Quadrant Vertices
|Workbenches=[[TechDraw Module|TechDraw]]
|Workbenches=[[TechDraw_Module|TechDraw]]
|SeeAlso=[[TechDraw_CosmeticVertex|Add Cosmetic Vertex]], [[TechDraw_Midpoints|Add Midpoint Vertices]]
|SeeAlso=[[TechDraw_CosmeticVertex|TechDraw Add Cosmetic Vertex]], [[TechDraw_Midpoints|TechDraw Add Midpoint Vertices]]
|Version=0.19
|Version=0.19
}}
}}
Line 52: Line 52:


<!--T:12-->
<!--T:12-->
{{Emphasis|See also:}} [[TechDraw API|TechDraw API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[TechDraw_API|TechDraw API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:13-->
<!--T:13-->
Cosmetic Vertices are not accessible from [[macros|macros]] or the [[Python|Python]] console at this time. This snippet will remove all Cosmetic Vertices from the View.
Cosmetic Vertices are not accessible from [[Macros|macros]] or the [[Python|Python]] console at this time. This snippet will remove all Cosmetic Vertices from the View.


</translate>
</translate>

Revision as of 21:38, 22 November 2020

TechDraw Quadrants

Menu location
TechDraw → Add Vertices → Add Quadrant Vertices
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw Add Cosmetic Vertex, TechDraw Add Midpoint Vertices

Description

The Quadrant tool adds Cosmetic Vertices at the 90/180/270° points of a circular edge. The 0° vertex should already be there as a geometric vertex.

Cosmetic vertices at quadrant points of a circle

Usage

  1. Select one or more (circular) Edges in a View.
  2. Press the Add Quadrant Vertices button.
  3. Cosmetic vertices will be added at the quarter-points of the edges.

Note: This tool can be used on any edge, not just circles.

To delete a Quadrant Vertex, select it and use the toolbar button Remove Cosmetic Object.

Properties

Cosmetic Vertices have no properties of their own, as they are not Document Objects. They share color and size settings with regular geometry vertices.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

Cosmetic Vertices are not accessible from macros or the Python console at this time. This snippet will remove all Cosmetic Vertices from the View.

>>> v = App.ActiveDocument.View
>>> v.clearCV()
>>> App.activeDocument().recompute()